## org.eclipse.datatools.sqltools.sqleditor.plan
Class Images

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.plan.Images

    public class Images

extends java.lang.Object

Utility class to load images

Author:
  Dafan Yang

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_EXPLAIN_SQL`
`static java.lang.String` `IMG_EXPLAIN_SQL`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_EXPLAIN_SQL

    public static final java.lang.String IMG_EXPLAIN_SQL

See Also:
  Constant Field Values

### DESC_EXPLAIN_SQL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_EXPLAIN_SQL

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key